<template lang="pug">

.cooperation.container
  h1.main-heading Сотрудничество

  el-breadcrumb.mb-20(separator-class='el-icon-arrow-right')
    el-breadcrumb-item(:to="{ path: '/' }") Главная
    el-breadcrumb-item Сотрудничество

  div(
    v-if="sliderView"
    v-swiper:myswiper='swiperOption')
    .swiper-wrapper
      .swiper-slide(v-for='slide in slides')
        h3.swiper-heading {{ slide.heading }}
        .button-wrapper
          nuxt-link.nuxt-button-link(:to="slide.path") Подробнее
            font-awesome-icon.nuxt-button-link__icon(icon="angle-right")
    .swiper-pagination.swiper-pagination-bullets

  .cooperation__links-wrapper

    h4.cooperation__links-header Дополнительная информация и документы
    a.cooperation__links-item(href="http://www.shuvalovo.biz/uploads/Условия%20отбора%20Покупателей%20АО%20Шувалово.pdf")
      | Условия отбора Покупателей АО Шувалово

    a.cooperation__links-item(href="http://www.shuvalovo.biz/uploads/Приложение%20№%201.PDF")
      | Приложение № 1

    a.cooperation__links-item(href="http://www.shuvalovo.biz/uploads/Приложение%20№%203.PDF")
      | Приложение № 3

    a.cooperation__links-item(href="http://www.shuvalovo.biz/uploads/Приложение%20№%204.pdf")
      | Приложение № 4

    hr.cooperation__separator

    a.cooperation__links-item(href="http://www.shuvalovo.biz/uploads/Условия%20отбора%20Покупателей%20Вологодского%20филиала%20АО%20Шувалово.pdf")
      | Условия отбора Покупателей Вологодского филиала АО Шувалово

    a.cooperation__links-item(href="http://www.shuvalovo.biz/uploads/Приложение%20№1%20к%20условиям%20филиала.pdf")
      | Приложение №1 к условиям филиала

    a.cooperation__links-item(href="http://www.shuvalovo.biz/uploads/Приложение%20№2%20к%20условиям%20филиала.pdf")
      | Приложение №2 к условиям филиала

</template>

<script>
import { mapMutations } from 'vuex';

export default {
  name: 'Production',
  head() {
    return {
      title: 'Сотрудничество | АО «Шувалово»'
    };
  },
  data() {
    return {
      slides: [
        {
          heading: 'Более 40 лет на рынке',
          path: '/about'
        },
        {
          heading: 'Современное оборудование и производство полного цикла',
          path: '/about/production'
        },
        {
          heading: 'Большой ассортимент и высокое качество продукции',
          path: '/catalog'
        },
        {
          heading: 'Выгодные условия трудоустройства',
          path: '/about/vacancies'
        },
        {
          heading: 'Активная позиция и постоянные улучшения',
          path: '/news'
        }
      ],
      swiperOption: {
        loop: true,
        slidesPerView: 'auto',
        centeredSlides: true,
        spaceBetween: 0,
        pagination: {
          el: '.swiper-pagination',
          clickable: true
        },
        autoplay: {
          delay: 10000
        }
      },
      sliderView: false
    };
  },
  mounted() {
    this.SET_LOADING(false);
    this.sliderView = true;
  },
  methods: {
    ...mapMutations(['SET_LOADING'])
  }
};
</script>
